services:
    DS\Library\ReCaptcha\Http\Driver\DriverInterface:
        alias: app.recaptcha.driver.symfony_http_client

    app.recaptcha.driver.symfony_http_client:
        class: App\Service\Recaptcha\SymfonyHttpClientDriver
        arguments:
            - '@http_client'

    App\Service\Recaptcha\RecaptchaService:
        class: App\Service\Recaptcha\RecaptchaService
        arguments:
            - '@request_stack'
            - '@parameter_bag'
            - '@DS\Library\ReCaptcha\Http\Driver\DriverInterface'
